Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence
Interface PersistenceFactory

All Known Implementing Classes:
  PersistenceFactoryImpl, PersistenceFactoryImpl

    public interface PersistenceFactory

Created: 15 Aug 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Method Summary
`DeferredEventTypePersistence` | `getDeferredEventTypePersistence()`
`EventPersistence` | `getEventPersistence()`
`EventPropertyPersistence` | `getEventPropertyPersistence()`
`EventTypePersistence` | `getEventTypePersistence()`
`NamespacePersistence` | `getNamespacePersistence()`
`ProcessorPersistence` | `getProcessorPersistence()`
`ProcessPersistence` | `getProcessPersistence()`
`ProcessTypePersistence` | `getProcessTypePersistence()`
`RunPersistence` | `getRunPersistence()`
`StatePersistence` | `getStatePersistence()`
`TransitionPersistence` | `getTransitionPersistence()`

Method Detail

### getProcessorPersistence

    ProcessorPersistence getProcessorPersistence()

### getNamespacePersistence

    NamespacePersistence getNamespacePersistence()

### getProcessTypePersistence

    ProcessTypePersistence getProcessTypePersistence()

### getEventTypePersistence

    EventTypePersistence getEventTypePersistence()

### getStatePersistence

    StatePersistence getStatePersistence()

### getDeferredEventTypePersistence

    DeferredEventTypePersistence getDeferredEventTypePersistence()

### getTransitionPersistence

    TransitionPersistence getTransitionPersistence()

### getProcessPersistence

    ProcessPersistence getProcessPersistence()

### getRunPersistence

    RunPersistence getRunPersistence()

### getEventPersistence

    EventPersistence getEventPersistence()

### getEventPropertyPersistence

    EventPropertyPersistence getEventPropertyPersistence()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD